Improve progress indication
Closed, ResolvedPublic

Description

All those digits are cool, but not super helpful these days.

Related Objects

Joe created this task.Oct 30 2018, 5:31 PM
Joe created this object in space S5 Public.
Joe triaged this task as Low priority.
Joe created this object with visibility "Public (No Login Required)".

Stop refreshing the controls for every file operation -- Compare, Copy, Skip, etc. Update the display on a timer instead.

Joe raised the priority of this task from Low to Unbreak Now!.Jan 6 2019, 1:54 PM
Joe added a comment.Jan 6 2019, 2:31 PM

Updating the display only once per second improves performance by more than 200%:

Joe added a comment.Jan 6 2019, 3:38 PM

Now calling UpdateFree only from timer (once per second). No stats on this...

Joe closed this task as Resolved.Jan 8 2019, 4:26 PM